
From: Anton Blanchard <anton@samba.org>

gcc 3.5 ICEd on the ppc64 version of __ptep_set_access_flags, but it does
look like we want to use *ptep here.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-ppc64/pgtable.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-ppc64/pgtable.h~ppc64-gcc-35-fix include/asm-ppc64/pgtable.h
--- 25/include/asm-ppc64/pgtable.h~ppc64-gcc-35-fix	2004-07-04 00:10:45.127273680 -0700
+++ 25-akpm/include/asm-ppc64/pgtable.h	2004-07-04 00:10:45.131273072 -0700
@@ -424,7 +424,7 @@ static inline void __ptep_set_access_fla
 		stdcx.	%0,0,%4\n\
 		bne-	1b"
 	:"=&r" (old), "=&r" (tmp), "=m" (*ptep)
-	:"r" (bits), "r" (ptep), "m" (ptep), "i" (_PAGE_BUSY)
+	:"r" (bits), "r" (ptep), "m" (*ptep), "i" (_PAGE_BUSY)
 	:"cc");
 }
 #define  ptep_set_access_flags(__vma, __address, __ptep, __entry, __dirty) \
_
